import os

BASE_DIR = os.path.dirname(os.path.dirname(__file__))

GIT_PATH = "/var/lib/eobuilder/git"
ORIGIN_PATH = "/var/lib/eobuilder/origin"
LOCK_PATH = "/var/lib/eobuilder/lock"
PBUILDER_RESULT = "/var/lib/eobuilder/results"
EOBUILDER_TMP = "/var/tmp/eobuilder"
REPOSITORY_URL = "deb.entrouvert.org"
GIT_REPOSITORY_URL = "git+ssh://git@repos.entrouvert.org"
DEBIAN_VERSIONS = {
    "buster": "100",
    "stretch": "90",
    "jessie": "80",
    "wheezy": "70",
    "squeeze": "60",
    "lenny": "50"
}

DEFAULT_UNSTABLE_REPOSITORIES = {
        "buster" : "buster-eobuilder",
        "stretch" : "stretch-eobuilder",
        "jessie" : "jessie-eobuilder",
        "wheezy" : "wheezy-eobuilder",
        "squeeze": "squeeze-eobuilder"
        }

# Paste new tag into repositories
# Automatically add new tag in this repositories
DEFAULT_TESTING_REPOSITORIES = {
        "buster": ["buster-testing"],
        "stretch": ["stretch-testing"],
        "jessie": ["jessie-testing"],
        "wheezy": ["wheezy-testing"],
        "squeeze": ["squeeze-testing"]
        }

# Hotfix repositories
HOTFIX_REPOSITORIES = {
        "buster": "buster-hotfix",
        "stretch": "stretch-hotfix",
        "jessie": "jessie-hotfix",
}

# Specify the testing repository by source package name
MANUAL_TESTING_REPOSITORIES = {}

# Smart Cleaning
# Keep at least X package versions by project
MIN_PACKAGE_VERSIONS = 10
# Keep a package version during minum X days
MIN_AGE = 60


local_settings_file = os.environ.get('EOBUILDER_SETTINGS_FILE',
        os.path.join(os.path.dirname(__file__), 'local_settings.py'))
if os.path.exists(local_settings_file):
    execfile(local_settings_file)
